<!DOCTYPE html>
<html lang="en">

<head>
    <title>
        Tablab - <%= name%>'s Classes</title>
    <% include ../partials/head %>

        <link rel="stylesheet" href="/css/tabularReports.css" />

        <script src="https://d3js.org/d3.v4.min.js"></script>

        <!-- Load billboard.js with base style -->
        <script src="/billboard.js/dist/billboard.js"></script>
        <link rel="stylesheet" href="/billboard.js/dist/billboard.css">
</head>

<body>
    <% include ../partials/reportsHeader %>

        <div class="overlay" style="display:none;">
            <div class="loader" id="loader"></div>
        </div>

        <!-- Hidden User information for internal use -->
        <div align="center" style="display:none">
            <input id="did" value="<%= did%>">
            <input id="uid" value="<%= uid%>">
            <br/>
        </div>

        <div class="container" style="">
            <h4 align="center" style="padding-below:3%">
                <i class="fa fa-child" area-hidden="true"></i>
                Your Classes
            </h4>
        </div>

        <div id="pillsNavbar" class="container">
            <div id="pills-div" class="tab-content clearfix" style="disp">
                <div class="tab-pane active">
                    <div class="row" style="margin-bottom:50px; margin-top:50px; margin-left:auto; margin-right:auto;">
                        <div class="col-lg-2 col-md-12 col-xs-12"></div>
                        <div class="col-lg-8 col-md-12 col-xs-12">
                            <div class="table-responsive">
                                <h3 align="center">
                                    <i class="fa fa-info-circle" area-hidden="true"></i>
                                    Class Details
                                </h3>
                                <hr>

                                <div id="loader1" style="display:none;">
                                    <div class="loader"></div>
                                </div>

                                <table class="table">
                                    <thead>
                                        <th>Class</th>
                                        <th>Subject</th>
                                        <th>Total Students</th>
                                        <th>Total Usage (in hrs)</th>
                                        <th>View Reports</th>
                                    </thead>
                                    <tbody id="teacherClasses">
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-12 col-xs-12"></div>
                    </div>
                    <div class="row" style="margin-bottom:50px; margin-top:50px; margin-left:auto; margin-right:auto;">
                        <div class="col-lg-2 col-md-12 col-xs-12"></div>
                        <div class="col-lg-8 col-md-12 col-xs-12">
                            <div class="table-responsive">
                                <h3 align="center">
                                    <i class="fa fa-info-circle" area-hidden="true"></i>
                                    Class Teacher
                                </h3>
                                <table class="table">
                                    <thead>
                                        <th>Class</th>
                                        <th>Total Students</th>
                                        <th>Total Usage (in hrs)</th>
                                        <th>View Reports</th>
                                    </thead>
                                    <tbody id="classTeacherClasses">
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-12 col-xs-12"></div>
                    </div>

                    <div style="margin-bottom:0px; margin-top:50px;">
                        <div id="ul-pills" class="sky scrollmenu" style="border-bottom: 2px solid rgb(179, 182, 184)">
                        </div>

                        <%include ../partials/tableFilter%>

                            <div class="row" style="margin-bottom:0px; margin-top:10px;">
                                <div class="col-lg-12 col-md-12 col-xs-12">
                                    <div class="">
                                        <div id="pie-loader" style="display:block;">
                                            <div class="loader"></div>
                                        </div>

                                        <div class="row">
                                            <div class="col-lg-6 col-lg-offset-3">
                                                <div id="piechart" class="chart" data-chartid="1">Pie Chart</div>
                                            </div>
                                        </div>                                        

                                        <div class="row">
                                            <div class="col-lg-6">
                                                <div id="barGraph-highest-usage" class="chart bar-graph">Bar Chart</div>										
                                            </div>
                                            <div class="col-lg-6">
                                                <div id="barGraph-lowest-usage" class="chart bar-graph">Bar Chart</div>										
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row" style="margin-bottom:0px; margin-top:10px;">
                                <div class="col-lg-12 col-md-12 col-xs-12">
                                    <div class="table-responsive">
                                        <h3>
                                            <i class="fa fa-table" area-hidden="true"></i>
                                            Usage Table (Usage in hrs)
                                        </h3>
                                        <hr>
                                        <div id="loader2" style="display:block;">
                                            <div class="loader"></div>
                                        </div>
                                        <table class="table table-striped">
                                            <thead>
                                                <tr>
                                                    <th>
                                                        <i class="fa fa-user-circle-o" aria-hidden="true"></i>&nbsp Student Name
                                                    </th>
                                                    <th>
                                                        <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Apps
                                                    </th>
                                                    <th>
                                                        <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Assessment App
                                                    </th>
                                                    <th>
                                                        <i class="fa fa-book" aria-hidden="true"></i>&nbsp Books
                                                    </th>
                                                    <th>
                                                        <i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Multimedia
                                                    </th>
                                                    <th>
                                                        <i class="fa fa-file-video-o" aria-hidden="true"></i>&nbsp Videos
                                                    </th>
                                                    <th>
                                                        &nbsp Total
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody id="usageTableBody" class="">
                                            </tbody>
                                        </table>
                                        <h5 id="tableBottomInfo" style="padding:5px; border-radius:10px; background-color:#e0e0d1; color:#000;" align="center"></h5>

                                        <div hidden>
                                            <ul class="pager">
                                                <li class="blue-round" style="display:hidden;">Previous</li>
                                                <li class="blue-round">Next</li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    </div>

                    <hr size="140">

                    <div style="margin-bottom:0px; margin-top:50px;">
                        <div class="row" style="margin-bottom:0px; margin-top:10px;">
                            <div class="col-lg-12 col-md-12 col-xs-12">
                                <div class="table-responsive">
                                    <h3 align="center">
                                        <i class="fa fa-table" area-hidden="true"></i>
                                        Assessments Usage Table (Click On Any Row for Details)
                                    </h3>
                                    <hr>

                                    <div id="loader3" style="display:block;">
                                        <div class="loader"></div>
                                    </div>

                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th rowspan="2">
                                                    <i class="fa fa-user-circle-o" aria-hidden="true"></i>&nbsp Student Name</th>
                                                <th colspan="2">
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Practice Assessment</th>
                                                <th colspan="2">
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Locked Term Assessment</th>
                                                <th colspan="2">
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Unlocked Term Assessment</th>
                                            </tr>
                                            <tr>
                                                <th>
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Score</th>
                                                <th>
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Average</th>
                                                <th>
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Score</th>
                                                <th>
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Average</th>
                                                <th>
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Score</th>
                                                <th>
                                                    <i class="fa fa-mobile" aria-hidden="true"></i>&nbsp Average</th>
                                            </tr>
                                        </thead>
                                        <tbody id="assessmentsUsageTableBody">
                                        </tbody>
                                    </table>
                                    <h5 id="assessmentTableBottomInfo" style="padding:5px; border-radius:10px; background-color:#e0e0d1; color:#000;" align="center"></h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</body>

<script src="/js/functions.js"></script>
<script src="/js/teacherPage.js"></script>

</html>